Bug 118833 - New paragraph style is not shown in the sidebar until its is refreshed
Summary: New paragraph style is not shown in the sidebar until its is refreshed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-WriterMultiListener
  Show dependency treegraph
 
Reported: 2018-07-18 19:33 UTC by Xisco Faulí
Modified: 2020-06-25 17:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-18 19:33:52 UTC
Steps to reproduce:
1. Open Writer
2. Go to the Sidebar - Styles
3. From the top-right icon, add a new style called 'AAAA'

Observed behaviour: it's not displayed on the list of styles. Changing to another style and back displays it.

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 95b00f1bfa341003af23e150d316d943d47909cf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-07-18 19:35:29 UTC
Regression introduced by:

author	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2018-05-04 08:44:47 +0200
committer	Björn Michaelsen <bjoern.michaelsen@libreoffice.org>	2018-05-05 08:14:12 +0200
commit	83243003b46dfb258c2b41049b0e1cb82a2d7ddb (patch)
tree	1e9f4fa59e10e7c8ea30fce1bd5c0cb7c37f87cd
parent	0b56585cfc047decf25c648d3cccfc3c7b594a86 (diff)
use WriterMultiListener instead of SwDepend in SwContentNode
- also move SwContentNode and SwTextNode from
  Modify to SwClientNotify
- this removes the last public use of SwDepend, which should now become
  an implementation detail of WriterMultiListener

Bisected with: bibisect-linux64-6.1
Comment 2 Commit Notification 2018-10-15 19:57:43 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bafd49fb4d72b6dbb10b2fea1386d295dc9d435c

tdf#118049 tdf#118833 tdf#118725: Fix some SwDepend regressions

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2018-11-19 09:24:48 UTC
Works as expected. Verified on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded